Subject: du counts a multiple times bind-mounted directory just for the first listed directory in a directory lists

From: Toralf Förster <[email-masked]>
Date: Thu, 14 May 2015 20:37:23 +0200

I created few chroot image, each conteaining a Gentoo Linux minimal image.

I do bind-mount a directory from the host (~35 GB of downloaded package files) onto a directory of each of the chroots to save space and bandwith.
A "du -ms" however counts that value just for the first listed directories:

tor-relay /mnt/qa/tinderbox # du -ms amd64-hardened-stable_* amd64-hardened-unstable_* 2>/dev/null
42318   amd64-hardened-stable_20150513-221439
11948   amd64-hardened-unstable_20150513-215830

tor-relay /mnt/qa/tinderbox # du -ms amd64-hardened-unstable_* amd64-hardened-stable_* 2>/dev/null
48790   amd64-hardened-unstable_20150513-215830
5434    amd64-hardened-stable_20150513-221439

Pls Cc:- me - I'm not subscribed

tor-relay /mnt/qa/tinderbox # eix -I sys-apps/coreutils
[I] sys-apps/coreutils
     Available versions:  8.20 8.21 ~8.22 ~8.22-r1 ~8.23 {acl caps gmp multicall nls selinux static vanilla xattr USERLAND="BSD"}
     Installed versions:  8.21(11:34:15 AM 10/25/2014)(acl nls xattr -caps -gmp -selinux -static -vanilla USERLAND="-BSD")
     Homepage:            http://www.gnu.org/software/coreutils/
     Description:         Standard GNU file utilities (chmod, cp, dd, dir, ls...), text utilities (sort, tr, head, wc..), and shell utilities (whoami, who,...)

-- 
Toralf
pgp key: 7B1A 07F4 EC82 0F90 D4C2  8936 872A E508 0076 E94E
--
"; the past is all dirty and cruel in the modern popular imagination, with the exception of the Romans, who are just cruel"
Ian Mortimer, 2008, "The Time Traveller's Guide to Medieval England"